Name:           perl-Unix-Process
Version:        1.3101
Release:        5%{?dist}
Summary:        Perl extension to get PID information from ps command
License:        LGPLv2+
URL:            https://metacpan.org/release/Unix-Process
Source0:        https://cpan.metacpan.org/authors/id/J/JE/JETTERO/Unix-Process-%{version}.tar.gz
# Mark occurrences of /bin/ps
Patch0:         Unix-Process-1.3101-Replace-bin-ps.patch
BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  sed
# Run-time:
BuildRequires:  perl(Carp)
BuildRequires:  perl(IPC::System::Simple)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  procps-ng
# Tests:
BuildRequires:  perl(Test)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       procps-ng

%description
This is a Perl module that can fetch ps command output fields.

%prep
%setup -q -n Unix-Process-%{version}
# Correct ps command location
%patch0 -p1
sed -i -e 's|XXX|%{_bindir}/ps|g' Makefile.PL Process.pm

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
# The README does not belong to this distribution
%doc Changes
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3101-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jun 28 2018 Jitka Plesnikova <jplesnik@redhat.com> - 1.3101-4
- Perl 5.28 rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3101-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3101-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Jul 21 2017 Petr Pisar <ppisar@redhat.com> 1.3101-1
- Specfile autogenerated by cpanspec 1.78.
